[csw-devel] SF.net SVN: gar:[16622] csw/mgar/pkg/postgresql/branches

guengel at users.sourceforge.net guengel at users.sourceforge.net
Fri Dec 30 15:46:27 CET 2011


Revision: 16622
          http://gar.svn.sourceforge.net/gar/?rev=16622&view=rev
Author:   guengel
Date:     2011-12-30 14:46:26 +0000 (Fri, 30 Dec 2011)
Log Message:
-----------
postgresql/branches/postgresql-8.3-raos: Provide support for more customization thru the user-configuration file.

Added Paths:
-----------
    csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl
    csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl
    csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl
    csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl

Removed Paths:
-------------
    csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl
    csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl
    csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl
    csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl

Deleted: csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl	2011-12-30 14:41:55 UTC (rev 16621)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -1,99 +0,0 @@
-#!/bin/sh
-# $Id$
-#
-# PostgreSQL startup script - part of the CSWpostgresql package
-# mark at blastwave.org
-# 
-# 2009-11-29  Maciej Blizinski (maciej at opencsw.org)
-#   - Parametrized file locations
-#   - Style changes
-#              
-#
-
-VERSION=@BASE_VERSION_NODOT@
-
-USERCONF=@CSWPGSQLCONFFILE_VERSIONED@
-PGCTL=@bindir@/pg_ctl-${VERSION}
-PGINIT=@bindir@/initdb-${VERSION}
-
-# Read in the user configuration file
-[ -s /opt/csw/etc/${USERCONF} ] && . /opt/csw/etc/${USERCONF}
-[ -s @sysconfdir@/${USERCONF} ] && . @sysconfdir@/${USERCONF}
-
-# Defaults
-[ -z "${PGDATA}" ] && PGDATA=@PGDATA@
-[ -z "${PGDATA}" ] && SHUTDOWNMODE=fast
-
-if [ -n "${SERVEROPTS}" ]
-then
-    # Make sure, SERVEROPTS start with -o
-    echo "${SERVEROPTS}" | grep '^-o' >/dev/null 2>&1
-    if [ $? -ne 0 ]
-    then
-	SERVEROPTS="-o ${SERVEROPTS}"
-    fi
-fi
-
-
-# Exit if postgres user hasn't been created.
-# FIXME: This bit of code is old. It might be obsolete.
-if grep '^postgres:' /etc/passwd >/dev/null; then
-	echo > /dev/null
-else
-  getent passwd postgres >/dev/null
-  if [ $? -ne 0 ] ; then
-         exit 0
-  fi
-fi
-
-# Change to ${PGDATA}, as pgctl etc. need to be started from
-# a directory that they can read
-cd "${PGDATA}"
-
-case "$1" in
-start)
-      if [ -d ${PGDATA} -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -gt 1 ]; then
-         # PostgreSQL data directory exists and is populated
-         echo "Starting PostgreSQL..."
-         su postgres -c "${PGCTL} start -D ${PGDATA} -l ${PGDATA}/postgresql.log ${SERVEROPTS}"
-      fi
-      ;;
-
-stop)
-     echo "Stopping PostgreSQL database..."
-     su postgres -c "${PGCTL} stop -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE}"
-     true  # The previous command fails when there's no .pid file
-     ;;
-
-restart)
-     echo "Restarting PostgreSQL database..."
-     su postgres -c "${PGCTL} restart -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE} ${SERVEROPTS}"
-     ;;
-
-reload)
-     echo "Reloading PostgreSQL database..."
-     su postgres -c "${PGCTL} reload -D ${PGDATA} -l ${PGDATA}/postgresql.log"
-     ;;
-
-status)
-     su postgres -c "${PGCTL} status -D ${PGDATA}"
-     ;;
-
-init)
-     # create and initialise data directory
-     echo "Creating PostgreSQL data directory at ${PGDATA}..."
-     # Create it, unless it's already there and empty
-     [ -d "${PGDATA}" -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -eq 1 ] || mkdir -p "${PGDATA}"
-     chown postgres "${PGDATA}"
-     chmod 0700 "${PGDATA}"
-     echo "Initialising PostgreSQL database..."
-     su postgres -c "\"${PGINIT}\" -D \"${PGDATA}\" -E UTF8"
-     ;;
-
-*)
-     echo "Usage: ${0} (init|start|stop|restart|reload|status)"
-     ;;
-
-esac
-
-# vim:set ft=sh sw=2 ts=2 sts=2 expandtab si ci:

Copied: csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl (from rev 16592, csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl)
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl	                        (rev 0)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -0,0 +1,116 @@
+#!/bin/sh
+# $Id$
+#
+# PostgreSQL startup script - part of the CSWpostgresql package
+#
+# 2009-11-29  Maciej Blizinski (maciej at opencsw.org)
+#   - Parametrized file locations
+#   - Style changes
+#
+#
+#RC_KNUM 20         # Number used for kill script symlink, e.g. K20cswfoo
+#RC_SNUM 80         # Number used for start script symlink, e.g. S80cswfoo
+#RC_KLEV 0,1,2,S    # Run levels that should have a kill script symlink
+#RC_SLEV 3          # Run levels that should have a start script symlink
+#AUTOENABLE no      # If set to no will not enable service regardless of
+#                     local csw.conf, use when a package needs setup before
+#                     being useful, would otherwise leave service in
+#                     maintenance mode
+
+VERSION=@BASE_VERSION_NODOT@
+
+USERCONF=@CSWPGSQLCONFFILE_VERSIONED@
+PGCTL=@bindir@/pg_ctl-${VERSION}
+PGINIT=@bindir@/initdb-${VERSION}
+
+# Read in the user configuration file
+[ -s /opt/csw/etc/${USERCONF} ] && . /opt/csw/etc/${USERCONF}
+[ -s @sysconfdir@/${USERCONF} ] && . @sysconfdir@/${USERCONF}
+
+# Defaults
+[ -z "${PGDATA}" ] && PGDATA=@PGDATA@
+[ -z "${SHUTDOWNMODE}" ] && SHUTDOWNMODE=fast
+[ -z "${PGENCODING}" ] && PGENCODING=UTF8
+[ -z "${PGSUPERUSER}" ] && PGSUPERUSER=postgres
+
+if [ -n "${SERVEROPTS}" ]
+then
+    # Remove the -o option, we provide it later on
+    SERVEROPTS=`echo "${SERVEROPTS}" | sed 's/^-o[ ]*//'`
+fi
+if [ -n "${PGLOCALE}" ]
+then
+    PGLOCALE="--locale=${PGLOCALE}"
+fi
+
+
+# Exit if postgres user hasn't been created.
+# FIXME: This bit of code is old. It might be obsolete.
+if grep '^postgres:' /etc/passwd >/dev/null; then
+	echo > /dev/null
+else
+  getent passwd postgres >/dev/null
+  if [ $? -ne 0 ] ; then
+	 exit 0
+  fi
+fi
+
+cd /
+
+case "$1" in
+start)
+      if [ -d ${PGDATA} -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -gt 1 ]; then
+	 # PostgreSQL data directory exists and is populated
+	 echo "Starting PostgreSQL..."
+	 if [ -n "${SERVEROPTS}" ]
+	 then
+	     su postgres -c "${PGCTL} start -D ${PGDATA} -l ${PGDATA}/postgresql.log -o '${SERVEROPTS}'"
+	 else
+	     su postgres -c "${PGCTL} start -D ${PGDATA} -l ${PGDATA}/postgresql.log"
+	 fi
+      fi
+      ;;
+
+stop)
+     echo "Stopping PostgreSQL database..."
+     su postgres -c "${PGCTL} stop -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE}"
+     true  # The previous command fails when there's no .pid file
+     ;;
+
+restart)
+     echo "Restarting PostgreSQL database..."
+     if [ -n "${SERVEROPTS}" ]
+     then
+	 su postgres -c "${PGCTL} restart -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE} -o '${SERVEROPTS}'"
+     else
+	 su postgres -c "${PGCTL} restart -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE}"
+     fi
+     ;;
+
+reload)
+     echo "Reloading PostgreSQL database..."
+     su postgres -c "${PGCTL} reload -D ${PGDATA} -l ${PGDATA}/postgresql.log"
+     ;;
+
+status)
+     su postgres -c "${PGCTL} status -D ${PGDATA}"
+     ;;
+
+init)
+     # create and initialise data directory
+     echo "Creating PostgreSQL data directory at ${PGDATA}..."
+     # Create it, unless it's already there and empty
+     [ -d "${PGDATA}" -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -eq 1 ] || mkdir -p "${PGDATA}"
+     chown postgres "${PGDATA}"
+     chmod 0700 "${PGDATA}"
+     echo "Initialising PostgreSQL database..."
+     su postgres -c "\"${PGINIT}\" -D \"${PGDATA}\" -E ${PGENCODING} -U ${PGSUPERUSER} ${PGLOCALE}"
+     ;;
+
+*)
+     echo "Usage: ${0} (init|start|stop|restart|reload|status)"
+     ;;
+
+esac
+
+# vim:set ft=sh sw=2 ts=2 sts=2 expandtab si ci:


Property changes on: csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl
___________________________________________________________________
Added: svn:keywords
   + Id

Deleted: csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl	2011-12-30 14:41:55 UTC (rev 16621)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -1,34 +0,0 @@
-# Example PostgreSQL server configuration file.
-# 
-# Provided by the OpenCSW package of PostgreSQL.  This file is read by the
-# /etc/opt/csw/init.d/cswpostgres startup script, and can be used to override
-# the defaults.
-#
-# Please use alternatives to choose between 32/64bit version of the server.
-
-# The location of the data directory.
-# Default : @PGDATA@
-PGDATA=@PGDATA@
-
-# The shutdown mode used
-#
-# Shutdown modes are:
-#  smart       quit after all clients have disconnected
-#  fast        quit directly, with proper shutdown
-#  immediate   quit without complete shutdown; will lead to recovery on restart
-#
-# Default: fast
-SHUTDOWNMODE=fast
-
-# Additional options to pass to postmaster.
-# 
-# These options will be passed to the postmaster program. The most common use
-# of these is to allow network access to PostgreSQL from other hosts over
-# TCP/IP.  This is done by using the flags "-i", as in the example below.
-# Uncomment this line to enable network access to PostgreSQL.  Note that you
-# will still need to configure authentication in the pg_hba.conf in your data
-# directory.
-#
-# Please note: it is no longer necessary to pass the '-o' option.
-# 
-# SERVEROPTS="-i"

Copied: csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl (from rev 16592, csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl)
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl	                        (rev 0)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/postgresql.conf.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -0,0 +1,61 @@
+# Example PostgreSQL server configuration file.
+# 
+# Provided by the OpenCSW package of PostgreSQL.  This file is read by the
+# /etc/opt/csw/init.d/cswpostgres startup script, and can be used to override
+# the defaults.
+#
+# Please use alternatives to choose between 32/64bit version of the
+# server (See also @docdir@/@NAME@@BASE_VERSION_NODOT at _server/README.CSW)
+
+# The location of the data directory.
+# Default: @PGDATA@
+PGDATA=@PGDATA@
+
+# The shutdown mode used
+#
+# Shutdown modes are:
+#  smart       quit after all clients have disconnected
+#  fast        quit directly, with proper shutdown
+#  immediate   quit without complete shutdown; will lead to recovery on restart
+#
+# Default: fast
+SHUTDOWNMODE=fast
+
+# Additional options to pass to postmaster.
+#
+# Please note: it is no longer necessary to pass the '-o' option.
+#
+# SERVEROPTS="-i"
+
+
+##
+## The following options are used by initdb when initializing the
+## database cluster
+##
+
+# The PostgreSQL encoding of the database cluster. This is used when
+# initializing the database cluster using the init script.
+#
+# For a complete list of character sets supported, go to
+#
+#  http://www.postgresql.org/docs/@BASE_VERSION@/static/multibyte.html#MULTIBYTE-CHARSET-SUPPORTED
+#
+# Default: UTF8
+PGENCODING=UTF8
+
+# The locale used to initialize the database cluster.
+#
+# If none is specified, the locale is inherited from the environment
+# that initdb runs in.
+#
+# Default: <empty>
+#PGLOCALE=en_US.UTF-8
+
+# Selects the user name of the database superuser. This defaults to
+# the name of the effective user running initdb. It is really not
+# important what the superuser's name is, but one might choose to keep
+# the customary name postgres, even if the operating system user's
+# name is different.
+#
+# Default: postgres
+PGSUPERUSER=postgres

Deleted: csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl	2011-12-30 14:41:55 UTC (rev 16621)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -1,99 +0,0 @@
-#!/bin/sh
-# $Id$
-#
-# PostgreSQL startup script - part of the CSWpostgresql package
-# mark at blastwave.org
-# 
-# 2009-11-29  Maciej Blizinski (maciej at opencsw.org)
-#   - Parametrized file locations
-#   - Style changes
-#              
-#
-
-VERSION=@BASE_VERSION_NODOT@
-
-USERCONF=@CSWPGSQLCONFFILE_VERSIONED@
-PGCTL=@bindir@/pg_ctl-${VERSION}
-PGINIT=@bindir@/initdb-${VERSION}
-
-# Read in the user configuration file
-[ -s /opt/csw/etc/${USERCONF} ] && . /opt/csw/etc/${USERCONF}
-[ -s @sysconfdir@/${USERCONF} ] && . @sysconfdir@/${USERCONF}
-
-# Defaults
-[ -z "${PGDATA}" ] && PGDATA=@PGDATA@
-[ -z "${PGDATA}" ] && SHUTDOWNMODE=fast
-
-if [ -n "${SERVEROPTS}" ]
-then
-    # Make sure, SERVEROPTS start with -o
-    echo "${SERVEROPTS}" | grep '^-o' >/dev/null 2>&1
-    if [ $? -ne 0 ]
-    then
-	SERVEROPTS="-o ${SERVEROPTS}"
-    fi
-fi
-
-
-# Exit if postgres user hasn't been created.
-# FIXME: This bit of code is old. It might be obsolete.
-if grep '^postgres:' /etc/passwd >/dev/null; then
-	echo > /dev/null
-else
-  getent passwd postgres >/dev/null
-  if [ $? -ne 0 ] ; then
-         exit 0
-  fi
-fi
-
-# Change to ${PGDATA}, as pgctl etc. need to be started from
-# a directory that they can read
-cd "${PGDATA}"
-
-case "$1" in
-start)
-      if [ -d ${PGDATA} -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -gt 1 ]; then
-         # PostgreSQL data directory exists and is populated
-         echo "Starting PostgreSQL..."
-         su postgres -c "${PGCTL} start -D ${PGDATA} -l ${PGDATA}/postgresql.log ${SERVEROPTS}"
-      fi
-      ;;
-
-stop)
-     echo "Stopping PostgreSQL database..."
-     su postgres -c "${PGCTL} stop -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE}"
-     true  # The previous command fails when there's no .pid file
-     ;;
-
-restart)
-     echo "Restarting PostgreSQL database..."
-     su postgres -c "${PGCTL} restart -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE} ${SERVEROPTS}"
-     ;;
-
-reload)
-     echo "Reloading PostgreSQL database..."
-     su postgres -c "${PGCTL} reload -D ${PGDATA} -l ${PGDATA}/postgresql.log"
-     ;;
-
-status)
-     su postgres -c "${PGCTL} status -D ${PGDATA}"
-     ;;
-
-init)
-     # create and initialise data directory
-     echo "Creating PostgreSQL data directory at ${PGDATA}..."
-     # Create it, unless it's already there and empty
-     [ -d "${PGDATA}" -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -eq 1 ] || mkdir -p "${PGDATA}"
-     chown postgres "${PGDATA}"
-     chmod 0700 "${PGDATA}"
-     echo "Initialising PostgreSQL database..."
-     su postgres -c "\"${PGINIT}\" -D \"${PGDATA}\" -E UTF8"
-     ;;
-
-*)
-     echo "Usage: ${0} (init|start|stop|restart|reload|status)"
-     ;;
-
-esac
-
-# vim:set ft=sh sw=2 ts=2 sts=2 expandtab si ci:

Copied: csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl (from rev 16592, csw/mgar/pkg/postgresql/branches/postgresql-8.3-raos/files/cswpostgresql.tmpl)
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl	                        (rev 0)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -0,0 +1,116 @@
+#!/bin/sh
+# $Id$
+#
+# PostgreSQL startup script - part of the CSWpostgresql package
+#
+# 2009-11-29  Maciej Blizinski (maciej at opencsw.org)
+#   - Parametrized file locations
+#   - Style changes
+#
+#
+#RC_KNUM 20         # Number used for kill script symlink, e.g. K20cswfoo
+#RC_SNUM 80         # Number used for start script symlink, e.g. S80cswfoo
+#RC_KLEV 0,1,2,S    # Run levels that should have a kill script symlink
+#RC_SLEV 3          # Run levels that should have a start script symlink
+#AUTOENABLE no      # If set to no will not enable service regardless of
+#                     local csw.conf, use when a package needs setup before
+#                     being useful, would otherwise leave service in
+#                     maintenance mode
+
+VERSION=@BASE_VERSION_NODOT@
+
+USERCONF=@CSWPGSQLCONFFILE_VERSIONED@
+PGCTL=@bindir@/pg_ctl-${VERSION}
+PGINIT=@bindir@/initdb-${VERSION}
+
+# Read in the user configuration file
+[ -s /opt/csw/etc/${USERCONF} ] && . /opt/csw/etc/${USERCONF}
+[ -s @sysconfdir@/${USERCONF} ] && . @sysconfdir@/${USERCONF}
+
+# Defaults
+[ -z "${PGDATA}" ] && PGDATA=@PGDATA@
+[ -z "${SHUTDOWNMODE}" ] && SHUTDOWNMODE=fast
+[ -z "${PGENCODING}" ] && PGENCODING=UTF8
+[ -z "${PGSUPERUSER}" ] && PGSUPERUSER=postgres
+
+if [ -n "${SERVEROPTS}" ]
+then
+    # Remove the -o option, we provide it later on
+    SERVEROPTS=`echo "${SERVEROPTS}" | sed 's/^-o[ ]*//'`
+fi
+if [ -n "${PGLOCALE}" ]
+then
+    PGLOCALE="--locale=${PGLOCALE}"
+fi
+
+
+# Exit if postgres user hasn't been created.
+# FIXME: This bit of code is old. It might be obsolete.
+if grep '^postgres:' /etc/passwd >/dev/null; then
+	echo > /dev/null
+else
+  getent passwd postgres >/dev/null
+  if [ $? -ne 0 ] ; then
+	 exit 0
+  fi
+fi
+
+cd /
+
+case "$1" in
+start)
+      if [ -d ${PGDATA} -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -gt 1 ]; then
+	 # PostgreSQL data directory exists and is populated
+	 echo "Starting PostgreSQL..."
+	 if [ -n "${SERVEROPTS}" ]
+	 then
+	     su postgres -c "${PGCTL} start -D ${PGDATA} -l ${PGDATA}/postgresql.log -o '${SERVEROPTS}'"
+	 else
+	     su postgres -c "${PGCTL} start -D ${PGDATA} -l ${PGDATA}/postgresql.log"
+	 fi
+      fi
+      ;;
+
+stop)
+     echo "Stopping PostgreSQL database..."
+     su postgres -c "${PGCTL} stop -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE}"
+     true  # The previous command fails when there's no .pid file
+     ;;
+
+restart)
+     echo "Restarting PostgreSQL database..."
+     if [ -n "${SERVEROPTS}" ]
+     then
+	 su postgres -c "${PGCTL} restart -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE} -o '${SERVEROPTS}'"
+     else
+	 su postgres -c "${PGCTL} restart -D ${PGDATA} -l ${PGDATA}/postgresql.log -m ${SHUTDOWNMODE}"
+     fi
+     ;;
+
+reload)
+     echo "Reloading PostgreSQL database..."
+     su postgres -c "${PGCTL} reload -D ${PGDATA} -l ${PGDATA}/postgresql.log"
+     ;;
+
+status)
+     su postgres -c "${PGCTL} status -D ${PGDATA}"
+     ;;
+
+init)
+     # create and initialise data directory
+     echo "Creating PostgreSQL data directory at ${PGDATA}..."
+     # Create it, unless it's already there and empty
+     [ -d "${PGDATA}" -a `ls -l ${PGDATA} 2> /dev/null | wc -l` -eq 1 ] || mkdir -p "${PGDATA}"
+     chown postgres "${PGDATA}"
+     chmod 0700 "${PGDATA}"
+     echo "Initialising PostgreSQL database..."
+     su postgres -c "\"${PGINIT}\" -D \"${PGDATA}\" -E ${PGENCODING} -U ${PGSUPERUSER} ${PGLOCALE}"
+     ;;
+
+*)
+     echo "Usage: ${0} (init|start|stop|restart|reload|status)"
+     ;;
+
+esac
+
+# vim:set ft=sh sw=2 ts=2 sts=2 expandtab si ci:


Property changes on: csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/cswpostgresql.tmpl
___________________________________________________________________
Added: svn:keywords
   + Id

Deleted: csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl	2011-12-30 14:41:55 UTC (rev 16621)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -1,34 +0,0 @@
-# Example PostgreSQL server configuration file.
-# 
-# Provided by the OpenCSW package of PostgreSQL.  This file is read by the
-# /etc/opt/csw/init.d/cswpostgres startup script, and can be used to override
-# the defaults.
-#
-# Please use alternatives to choose between 32/64bit version of the server.
-
-# The location of the data directory.
-# Default : @PGDATA@
-PGDATA=@PGDATA@
-
-# The shutdown mode used
-#
-# Shutdown modes are:
-#  smart       quit after all clients have disconnected
-#  fast        quit directly, with proper shutdown
-#  immediate   quit without complete shutdown; will lead to recovery on restart
-#
-# Default: fast
-SHUTDOWNMODE=fast
-
-# Additional options to pass to postmaster.
-# 
-# These options will be passed to the postmaster program. The most common use
-# of these is to allow network access to PostgreSQL from other hosts over
-# TCP/IP.  This is done by using the flags "-i", as in the example below.
-# Uncomment this line to enable network access to PostgreSQL.  Note that you
-# will still need to configure authentication in the pg_hba.conf in your data
-# directory.
-#
-# Please note: it is no longer necessary to pass the '-o' option.
-# 
-# SERVEROPTS="-i"

Copied: csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl (from rev 16592, csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl)
===================================================================
--- csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl	                        (rev 0)
+++ csw/mgar/pkg/postgresql/branches/postgresql-8.4-raos/files/postgresql.conf.tmpl	2011-12-30 14:46:26 UTC (rev 16622)
@@ -0,0 +1,61 @@
+# Example PostgreSQL server configuration file.
+# 
+# Provided by the OpenCSW package of PostgreSQL.  This file is read by the
+# /etc/opt/csw/init.d/cswpostgres startup script, and can be used to override
+# the defaults.
+#
+# Please use alternatives to choose between 32/64bit version of the
+# server (See also @docdir@/@NAME@@BASE_VERSION_NODOT at _server/README.CSW)
+
+# The location of the data directory.
+# Default: @PGDATA@
+PGDATA=@PGDATA@
+
+# The shutdown mode used
+#
+# Shutdown modes are:
+#  smart       quit after all clients have disconnected
+#  fast        quit directly, with proper shutdown
+#  immediate   quit without complete shutdown; will lead to recovery on restart
+#
+# Default: fast
+SHUTDOWNMODE=fast
+
+# Additional options to pass to postmaster.
+#
+# Please note: it is no longer necessary to pass the '-o' option.
+#
+# SERVEROPTS="-i"
+
+
+##
+## The following options are used by initdb when initializing the
+## database cluster
+##
+
+# The PostgreSQL encoding of the database cluster. This is used when
+# initializing the database cluster using the init script.
+#
+# For a complete list of character sets supported, go to
+#
+#  http://www.postgresql.org/docs/@BASE_VERSION@/static/multibyte.html#MULTIBYTE-CHARSET-SUPPORTED
+#
+# Default: UTF8
+PGENCODING=UTF8
+
+# The locale used to initialize the database cluster.
+#
+# If none is specified, the locale is inherited from the environment
+# that initdb runs in.
+#
+# Default: <empty>
+#PGLOCALE=en_US.UTF-8
+
+# Selects the user name of the database superuser. This defaults to
+# the name of the effective user running initdb. It is really not
+# important what the superuser's name is, but one might choose to keep
+# the customary name postgres, even if the operating system user's
+# name is different.
+#
+# Default: postgres
+PGSUPERUSER=postgres

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list